This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 12289 - <video> suspend event "Dispatched when..." is incorrect
Summary: <video> suspend event "Dispatched when..." is incorrect
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on: 12595
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-11 16:37 UTC by contributor
Modified: 2011-09-22 17:42 UTC (History)
5 users (show)

See Also:


Attachments

Description contributor 2011-03-11 16:37:06 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/video.html
Section: http://www.whatwg.org/specs/web-apps/current-work/#mediaevents

Comment:
suspend event "Dispatched when..." is incorrect

Posted from: 83.218.67.122
User agent: Opera/9.80 (X11; Linux x86_64; U; en) Presto/2.8.115 Version/11.10
Comment 1 Philip J├Ągenstedt 2011-03-11 16:39:22 UTC
The description is "The user agent is intentionally not currently fetching media data, but does not have the entire media resource downloaded.", but the resource fetch algorithm also fires the suspend event "Once the entire media resource has been fetched (but potentially before any of it has been decoded)".

In other words, the UA may have the entire resource downloaded when the last buffered event is fired.
Comment 2 Ian 'Hixie' Hickson 2011-06-14 07:41:01 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Did Not Understand Request
Change Description: no spec change
Rationale: I don't understand. Could you elaborate?

As far as I can tell in the spec, 'suspend' is only fired in one situation, which is when the download is suspended. I guess technically a browser could decide to not download any more content at the same time as it has received the last byte but before realising it, but that's a pretty obscure edge case that doesn't seem worth mentioning in the non-normative summary table.
Comment 3 Philip J├Ągenstedt 2011-06-14 09:58:45 UTC
This bug should be considered together with Bug 12595. After making the suspend event fire when even if we've finished buffering, the wording can be changed to simply "The user agent is intentionally not currently fetching
media data"
Comment 4 Michael[tm] Smith 2011-08-04 05:06:09 UTC
mass-moved component to LC1
Comment 5 Ian 'Hixie' Hickson 2011-09-21 20:42:59 UTC
This should indeed be changed now.
Comment 6 Ian 'Hixie' Hickson 2011-09-22 17:40:22 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Agreed with comment 3.
Comment 7 contributor 2011-09-22 17:42:41 UTC
Checked in as WHATWG revision r6561.
Check-in comment: 'suspend' event's description was out of date
http://html5.org/tools/web-apps-tracker?from=6560&to=6561